<?php
function MA_CF7_relative_time($ptime)
{
	date_default_timezone_set("Asia/Tehran");
	$etime = time() - $ptime;
	if ($etime < 1) {
		return '0 seconds';
	}
	$a = array( 12 * 30 * 24 * 60 * 60  =>  'year',
				30 * 24 * 60 * 60       =>  'month',
				24 * 60 * 60            =>  'day',
				60 * 60                 =>  'hour',
				60                      =>  'minute',
				1                       =>  'second'
				);
	foreach ($a as $secs => $str) {
		$d = $etime / $secs;
		if ($d >= 1) {
			$r = round($d);
			return $r . ' ' . $str . ($r > 1 ? 's' : '');
		}
	}
}
function MA_CF7_Gateway_GET_CURL($addres)
{
	$ch = curl_init();
	curl_setopt($ch, CURLOPT_URL, $addres);
	curl_setopt($ch, CURLOPT_POST, false);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);
	$nnn = curl_exec($ch);
	return $nnn;
}



function result_payment_cf7_func( $atts ) {
	global $wpdb;
	@session_start();
	$Email_User='';
	$Return_MessageEmail='';
	$Return_Trans_id='';
	
	$idrow=isset($_SESSION['idrow_cf7_gp'])?intval($_SESSION['idrow_cf7_gp']):0;
	unset($_SESSION["idrow_cf7_gp"]);
	if($idrow!=0)
	{
		//bitpay
		$options = get_option('cf7pl_options');
		foreach ($options as $k => $v ) { $value[$k] = $v; }
		$active_gateway='bitpay';
		$gateway_merchantid = $value['gateway_merchantid'];
		
		$Theme_Message=get_option('cf7pl_theme_message','');
		
		$table_name=$wpdb->prefix.'cf7_trans';
		$cf_Form = $wpdb->get_row( "SELECT * FROM $table_name WHERE id=".$idrow );
		if(null !== $cf_Form)
		{
			$Email_User=$cf_Form->email;
		}
		
		if($active_gateway=='bitpay')
		{
			if(isset($_POST["trans_id"]))
			{
				
				$url = 'https://bitpay.ir/payment/gateway-result-second';
				$trans_id = $_POST['trans_id'];
				$id_get = $_POST['id_get'];
				$Return_Trans_id=$trans_id;
				$result = ContactForm7_bitpay_get($url,$gateway_merchantid,$trans_id,$id_get);				
				if($result==1){
					
					$Return_MessageEmail='success';
				} else {
					$Return_MessageEmail='error';
				}
			}
		}//End bitpay
		
		
		if($Return_MessageEmail=='success')
		{
			$wpdb->update($wpdb->prefix.'cf7_trans',array('status'=>'success','transid'=>$Return_Trans_id),array('id'=>$idrow),array('%s','%s'),array('%d'));
			
			//Dispaly
			$body = stripslashes(str_replace('[trans_id]',$Return_Trans_id,$Theme_Message));
			return CreateMessage_cf7("","",$body);
		}
		else if($Return_MessageEmail=='error')
		{
			$wpdb->update($wpdb->prefix.'cf7_trans',array('status'=>'error'),array('id'=>$idrow),array('%s'),array('%d'));
			//Dispaly
			$body='<b style="color:red;">تراکنش بانکی با خطا مواجه شد</b>';
			return CreateMessage_cf7("","",$body);
		}
		
	}//exist idrow
}
add_shortcode('result_payment_cf7','result_payment_cf7_func');





function CreateMessage_cf7($title,$body,$endstr="")
{
	if($endstr!="")
	{
		return $endstr;
	}
	$tmp='<div style="border:#CCC 1px solid; width:90%;"> 
    '.$title.'<br />'.$body.'</div>';	
	return $tmp;
}
function CreatePage_cf7($title,$body)
{
	$tmp='
	<html>
	<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<title>'.$title.'</title>
	</head>
	<link rel="stylesheet"  media="all" type="text/css" href="'.plugins_url('style.css',__FILE__).'">
	<body class="vipbody">	
	<div class="mrbox2" > 
	<h3><span>'.$title.'</span></h3>
	'.$body.'	
	</div>
	</body>
	</html>';
	return $tmp;
}
function ContactForm7_bitpay_send($url,$api,$amount,$redirect){
	$ch = curl_init();
	curl_setopt($ch,CURLOPT_URL,$url);
	curl_setopt($ch,CURLOPT_POSTFIELDS,"api=$api&amount=$amount&redirect=$redirect");
	curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);
	curl_setopt($ch,CURLOPT_RETURNTRANSFER,true);
	$res = curl_exec($ch);
	curl_close($ch);
	return $res;
}
function ContactForm7_bitpay_get($url,$api,$trans_id,$id_get){
	$ch = curl_init();
	curl_setopt($ch,CURLOPT_URL,$url);
	curl_setopt($ch,CURLOPT_POSTFIELDS,"api=$api&id_get=$id_get&trans_id=$trans_id");
	curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);
	curl_setopt($ch,CURLOPT_RETURNTRANSFER,true);
	$res = curl_exec($ch);
	curl_close($ch);
	return $res;
}
function MA_Contant_Form_7_Gateway_install() {
	global $wpdb;
	
	
	$table_name = $wpdb->prefix . "cf7_trans";
	if($wpdb->get_var("show tables like '$table_name'") != $table_name) {
		$sql = "CREATE TABLE " . $table_name . " (
			id mediumint(11) NOT NULL AUTO_INCREMENT,
			idform bigint(11) DEFAULT '0' NOT NULL,
			transid VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_persian_ci NOT NULL,
			gateway VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_persian_ci NOT NULL,
			cost bigint(11) DEFAULT '0' NOT NULL,
			created_at bigint(11) DEFAULT '0' NOT NULL,
			email VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_persian_ci NOT NULL,
			status VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_persian_ci NOT NULL,
			PRIMARY KEY id (id)
		);";
  
		require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
		dbDelta($sql);
	}	
}
$dir = plugin_dir_path(__FILE__);	
register_activation_hook($dir.'gateway.php', 'MA_Contant_Form_7_Gateway_install');

//  plugin functions
register_activation_hook( __FILE__, "cf7pl_activate" );
register_deactivation_hook( __FILE__, "cf7pl_deactivate" );
register_uninstall_hook( __FILE__, "cf7pl_uninstall" );

function cf7pl_activate() {
	// remove ajax from contact form 7 to allow for php redirects
	function wp_config_put( $slash = '' ) {
		$config = file_get_contents (ABSPATH . "wp-config.php");
		$config = preg_replace ("/^([\r\n\t ]*)(\<\?)(php)?/i", "<?php define('WPCF7_LOAD_JS', false);", $config);
		file_put_contents (ABSPATH . $slash . "wp-config.php", $config);
	}
	if ( file_exists (ABSPATH . "wp-config.php") && is_writable (ABSPATH . "wp-config.php") ){
		wp_config_put();
	}
	else if (file_exists (dirname (ABSPATH) . "/wp-config.php") && is_writable (dirname (ABSPATH) . "/wp-config.php")){
		wp_config_put('/');
	}
	else {
		echo '
		<div class="error">
			<p>'._e( 'wp-config.php is not writable, please make wp-config.php writable - set it to 0777 temporarily, then set back to its original setting after this plugin has been activated.', 'my-text-domain' ).'</p>
		</div>';
		exit;
	}
	
	// write initical options
	$cf7pl_options = array(
		'gateway_merchantid' => '',
		'return'    => '',
		'tax'    => '',
		'tax_rate' => ''
	);
	add_option("cf7pl_options", $cf7pl_options);
	
}
function cf7pl_deactivate() {
	function wp_config_delete( $slash = '' ) {
		$config = file_get_contents (ABSPATH . "wp-config.php");
		$config = preg_replace ("/( ?)(define)( ?)(\()( ?)(['\"])WPCF7_LOAD_JS(['\"])( ?)(,)( ?)(0|1|true|false)( ?)(\))( ?);/i", "", $config);
		file_put_contents (ABSPATH . $slash . "wp-config.php", $config);
	}
	if (file_exists (ABSPATH . "wp-config.php") && is_writable (ABSPATH . "wp-config.php")) {
		wp_config_delete();
	}
	else if (file_exists (dirname (ABSPATH) . "/wp-config.php") && is_writable (dirname (ABSPATH) . "/wp-config.php")) {
		wp_config_delete('/');
	}
	else if (file_exists (ABSPATH . "wp-config.php") && !is_writable (ABSPATH . "wp-config.php")) {
		echo '<div class="error">
			<p>'._e( 'wp-config.php is not writable, please make wp-config.php writable - set it to 0777 temporarily, then set back to its original setting after this plugin has been deactivated.', 'my-text-domain' ).'</p>
		</div>
		<button onclick="goBack()">Go Back and try again</button>
		<script>
		function goBack() {
			window.history.back();
		}
		</script>
		';
		exit;
	}
	else if (file_exists (dirname (ABSPATH) . "/wp-config.php") && !is_writable (dirname (ABSPATH) . "/wp-config.php")) {
		echo '<div class="error">
			<p>'._e( 'wp-config.php is not writable, please make wp-config.php writable - set it to 0777 temporarily, then set back to its original setting after this plugin has been deactivated.', 'my-text-domain' ).'</p>
		</div>
		<button onclick="goBack()">Go Back and try again</button>
		<script>
		function goBack() {
			window.history.back();
		}
		</script>
		';
		exit;
	}
	else {
		echo '<div class="error">
			<p>'._e( 'wp-config.php is not writable, please make wp-config.php writable - set it to 0777 temporarily, then set back to its original setting after this plugin has been deactivated.', 'my-text-domain' ).'</p>
		</div>
		<button onclick="goBack()">Go Back and try again</button>
		<script>
		function goBack() {
			window.history.back();
		}
		</script>
		';
		exit;
	}
	delete_option("cf7pl_my_plugin_notice_shown");
	
}
function cf7pl_uninstall() {
}
// display activation notice
add_action('admin_notices', 'cf7pl_my_plugin_admin_notices');
function cf7pl_my_plugin_admin_notices() {
if (!get_option('cf7pl_my_plugin_notice_shown')) {
echo "<div class='updated'><p><a href='admin.php?page=cf7pl_admin_table'>برای تنظیم اطلاعات درگاه بانکی کلیک کنید</a>.</p></div>";
update_option("cf7pl_my_plugin_notice_shown", "true");
}
}
/*
function cf7pl_plugin_settings_link($links)
{
unset($links['edit']);
$forum_link   = '<a target="_blank" href="https://wordpress.org/support/plugin/contact-form-7-paypal-add-on">' . __('Support', 'PTP_LOC') . '</a>';
$premium_link = '<a target="_blank" href="https://wpplugin.org/contact-form-7-paypal-add-on/">' . __('Pro Version', 'PTP_LOC') . '</a>';
$settings = '<a href="admin.php?page=cf7pl_admin_table">' . __('Settings', 'PTP_LOC') . '</a>';
$edit = '<a href="plugin-editor.php?file=contact-form-7-paypal-add-on/paypal.php">' . __('Edit', 'PTP_LOC') . '</a>';
array_push($links, $edit);
array_push($links, $settings);
array_push($links, $forum_link);
array_push($links, $premium_link);
return $links; 
}
$plugin = plugin_basename(__FILE__); 
add_filter("plugin_action_links_$plugin", 'cf7pl_plugin_settings_link' );
*/
// check to make sure contact form 7 is installed and active
include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
if ( is_plugin_active( 'contact-form-7/wp-contact-form-7.php' ) ) {
	// add paypal menu under contact form 7 menu
	add_action( 'admin_menu', 'cf7pl_admin_menu', 20 );
	function cf7pl_admin_menu() {
		$addnew = add_submenu_page( 'wpcf7',
			__( 'تنظیمات درگاه', 'contact-form-7' ),
			__( 'تنظیمات درگاه', 'contact-form-7' ),
			'wpcf7_edit_contact_forms', 'cf7pl_admin_table',
			'cf7pl_admin_table' );
			
		$addnew = add_submenu_page( 'wpcf7',
			__( 'لیست تراکنش ها', 'contact-form-7' ),
			__( 'لیست تراکنش ها', 'contact-form-7' ),
			'wpcf7_edit_contact_forms', 'cf7pl_admin_list_trans',
			'cf7pl_admin_list_trans' );
			
	}
	// hook into contact form 7 - before send
	add_action('wpcf7_before_send_mail', 'cf7pl_before_send_mail');
	function cf7pl_before_send_mail( $cf7 ) {
		/*global $postid;
		$postid = $cf7->id();
		$wpcf7= WPCF7_ContactForm::get_current();
		$submission = WPCF7_Submission::get_instance();
		if ($submission)
		{
			$data = $submission->get_posted_data();
			$wpcf7->mail['body'] .='<br>Mohammad';
			return $wpcf7;			
		}*/
	}
	
	
	// hook into contact form 7 - after send
	add_action('wpcf7_mail_sent', 'cf7pl_after_send_mail');
	function cf7pl_after_send_mail( $cf7 ) {
		global $wpdb;
		global $postid;
		$postid = $cf7->id();
		$wpcf7= WPCF7_ContactForm::get_current();
		$submission = WPCF7_Submission::get_instance();
		$user_email='';
		$user_price='';
		
		if ($submission)
		{
			$data = $submission->get_posted_data();
			$user_email= isset($data['user_email']) ? $data['user_email'] : "";
			$user_price= isset($data['user_price']) ? $data['user_price'] : "";			
		}
	
		$enable = get_post_meta( $postid, "_cf7pl_enable", true);
		$email = get_post_meta( $postid, "_cf7pl_email", true);
		
		if ($enable == "1") {
			if ($email == "2") {
					
$price = get_post_meta($postid, "_cf7pl_price", true);
if($price=="")
{
	$price=$user_price;
}
$options = get_option('cf7pl_options');
foreach ($options as $k => $v ) { $value[$k] = $v; }
$active_gateway='bitpay';
$gateway_merchantid = $value['gateway_merchantid'];
$url_return =$value['return'];


//$user_email;
// Set Data -> Table Trans_ContantForm7
$table_name = $wpdb->prefix . "cf7_trans";		
$_x=array();
$_x['idform']=$postid;
$_x['transid']=''; // create dynamic or id_get
$_x['gateway']=$active_gateway; // name gateway
$_x['cost']=$price;
$_x['created_at']=time();
$_x['email']=$user_email;
$_x['status']='none';
$_y=array('%d','%s','%s','%d','%d','%s','%s');


if($active_gateway=='bitpay')
{
	$url = 'https://bitpay.ir/payment/gateway-send';
	$result=ContactForm7_bitpay_send($url,$gateway_merchantid,$price,$url_return);
	if($result > 0 && is_numeric($result))
	{
		$_x['transid']=$result;
		$s=$wpdb->insert( $table_name,$_x,$_y);
		
		$idrow=$wpdb->insert_id;
		@session_start();
		$_SESSION['idrow_cf7_gp']=$idrow;
			
		$go = "https://bitpay.ir/payment/gateway-$result";
		header("Location:".$go);
	}
	else
	{
		$tmp='خطایی رخ داده در اطلاعات پرداختی درگاه'.'<br>Error:'.$result.'<br> لطفا به مدیر اطلاع دهید <br><br>';
		$tmp.='<a href="'.get_option('siteurl').'" class="mrbtn_red" > بازگشت به سایت </a>';
		echo CreatePage_cf7('خطا در عملیات پرداخت',$tmp);
	}
}



			exit;
			
			}
		}
		
	} // End Function
	
	
	
	// hook into contact form 7 form
	add_action('wpcf7_admin_after_additional_settings', 'cf7pl_admin_after_additional_settings');
	function cf7pl_editor_panels ( $panels ) {
		
		$new_page = array(
			'PricePay' => array(
				'title' => __( 'اطلاعات پرداخت', 'contact-form-7' ),
				'callback' => 'cf7pl_admin_after_additional_settings'
			)
		);
		
		$panels = array_merge($panels, $new_page);
		
		return $panels;
		
	}
	add_filter( 'wpcf7_editor_panels', 'cf7pl_editor_panels' );
	function cf7pl_admin_after_additional_settings( $cf7 ) {
		
		$post_id = sanitize_text_field($_GET['post']);
		$enable = get_post_meta($post_id, "_cf7pl_enable", true);
		$price = get_post_meta($post_id, "_cf7pl_price", true);
		$email = get_post_meta($post_id, "_cf7pl_email", true);		
		
		if ($enable == "1") { $checked = "CHECKED"; } else { $checked = ""; }
		
		if ($email == "1") { $before = "SELECTED"; $after = ""; } elseif ($email == "2") { $after = "SELECTED"; $before = ""; } else { $before = ""; $after = ""; }
		
		$admin_table_output = "";
		$admin_table_output .= "<form>";
		$admin_table_output .= "<div id='additional_settings-sortables' class='meta-box-sortables ui-sortable'><div id='additionalsettingsdiv' class='postbox'>";
		$admin_table_output .= "<div class='handlediv' title='Click to toggle'><br></div><h3 class='hndle ui-sortable-handle'> <span>اطلاعات پرداخت برای فرم</span></h3>";
		$admin_table_output .= "<div class='inside'>";
		
		$admin_table_output .= "<div class='mail-field'>";
		$admin_table_output .= "<input name='enable' id='cf71' value='1' type='checkbox' $checked>";
		$admin_table_output .= "<label for='cf71'>فعال سازی امکان پرداخت آنلاین</label>";
		$admin_table_output .= "</div>";
		
		//input -name 
		$admin_table_output .= "<table>";
		$admin_table_output .= "<tr><td>مبلغ: </td><td><input type='text' name='price' style='text-align:left;direction:ltr;' value='$price'></td><td>(مبلغ به ریال)</td></tr>";
		
		$admin_table_output .= "</table>";
		
		
		//input -id
		$admin_table_output .= "<br> برای اتصال به درگاه پرداخت میتوانید از نام فیلدهای زیر استفاده نمایید ";
		$admin_table_output .= "<br />
        <span style='color:#F00;'>
        user_email نام فیلد دریافت ایمیل کاربر بایستی user_email انتخاب شود.
        <br />
        user_price اگر کادر مبلغ در بالا خالی باشد می توانید به کاربر اجازه دهید مبلغ را خودش انتخاب نماید . کادر متنی با نام user_price ایجاد نمایید
		
        </span>	";
		$admin_table_output .= "<input type='hidden' name='email' value='2'>";
		
		$admin_table_output .= "<input type='hidden' name='post' value='$post_id'>";
		
		$admin_table_output .= "</td></tr></table></form>";
		$admin_table_output .= "</div>";
		$admin_table_output .= "</div>";
		$admin_table_output .= "</div>";
		echo $admin_table_output;
		
	}
	
	// hook into contact form 7 admin form save
	add_action('wpcf7_save_contact_form', 'cf7pl_save_contact_form');
	function cf7pl_save_contact_form( $cf7 ) {
		
			$post_id = sanitize_text_field($_POST['post']);
			
			if (!empty($_POST['enable'])) {
				$enable = sanitize_text_field($_POST['enable']);
				update_post_meta($post_id, "_cf7pl_enable", $enable);
			} else {
				update_post_meta($post_id, "_cf7pl_enable", 0);
			}
			
			/*$name = sanitize_text_field($_POST['name']);
			update_post_meta($post_id, "_cf7pl_name", $name);
			*/
			$price = sanitize_text_field($_POST['price']);
			update_post_meta($post_id, "_cf7pl_price", $price);
			
			/*$id = sanitize_text_field($_POST['id']);
			update_post_meta($post_id, "_cf7pl_id", $id);
			*/
			$email = sanitize_text_field($_POST['email']);
			update_post_meta($post_id, "_cf7pl_email", $email);
			
		
	}
	function cf7pl_admin_list_trans() 
	{
		if ( !current_user_can( "manage_options" ) )  {
		wp_die( __( "You do not have sufficient permissions to access this page." ) );
		}
		
		global $wpdb;
		
		$pagenum = isset( $_GET['pagenum'] ) ? absint( $_GET['pagenum'] ) : 1;
		$limit = 6;
		$offset = ( $pagenum - 1 ) * $limit;
		$table_name = $wpdb->prefix . "cf7_trans";
						
		$transactions = $wpdb->get_results( "SELECT * FROM $table_name where (status NOT like 'none') ORDER BY $table_name.id DESC LIMIT $offset, $limit" ,ARRAY_A);
		$total = $wpdb->get_var( "SELECT COUNT($table_name.id) FROM $table_name where (status NOT like 'none') ");
		$num_of_pages = ceil( $total / $limit );
		$cntx=0;
		
		echo '<div class="wrap">
		<h2>تراکنش فرم ها</h2>
		<table class="widefat post fixed" cellspacing="0">
			<thead>
				<tr>
					<th scope="col" id="name" width="15%" class="manage-column" style="">نام فرم</th>
					<th scope="col" id="name" width="" class="manage-column" style="">تاريخ</th>
                    <th scope="col" id="name" width="" class="manage-column" style="">ایمیل</th>
                    <th scope="col" id="name" width="15%" class="manage-column" style="">مبلغ</th>
					<th scope="col" id="name" width="15%" class="manage-column" style="">کد تراکنش</th>
					<th scope="col" id="name" width="13%" class="manage-column" style="">وضعیت</th>
				</tr>
			</thead>
			<tfoot>
				<tr>
					<th scope="col" id="name" width="15%" class="manage-column" style="">نام فرم</th>
					<th scope="col" id="name" width="" class="manage-column" style="">تاريخ</th>
                    <th scope="col" id="name" width="" class="manage-column" style="">ایمیل</th>
                    <th scope="col" id="name" width="15%" class="manage-column" style="">مبلغ</th>
					<th scope="col" id="name" width="15%" class="manage-column" style="">کد تراکنش</th>
					<th scope="col" id="name" width="13%" class="manage-column" style="">وضعیت</th>
				</tr>
			</tfoot>
			<tbody>';
				
				
				if (count($transactions) == 0) {
				
				echo '<tr class="alternate author-self status-publish iedit" valign="top">
					<td class="" colspan="6">هيج تراکنش وجود ندارد.</td>
				</tr>';
				
				} else {
				foreach ($transactions as $transaction) {
				
				echo '<tr class="alternate author-self status-publish iedit" valign="top">
					<td class="">'.get_the_title($transaction['idform']).'</td>';
					echo '<td class="">'.strftime("%a, %B %e, %Y %r", $transaction['created_at']);
					echo '<br />(';
					echo MA_CF7_relative_time($transaction["created_at"]);
					echo ' ago)</td>';
						
					echo '<td class="">'.$transaction['email'].'</td>';
					echo '<td class="">'.$transaction['cost'].' ريال</td>';
					echo '<td class="">'.$transaction['transid'].'</td>';
					echo '<td class="">';
					
					if($transaction['status']=="success")
					{
						echo '<b style="color:#0C9F55">موفقیت آمیز</b>';
					}
					else
					{
						echo '<b style="color:#f00">خطا</b>';
					}
					echo '</td></tr>';
					
				} } 
		echo '</tbody>
		</table>
        <br>';
        
        
		$page_links = paginate_links( array(
			'base' => add_query_arg( 'pagenum', '%#%' ),
			'format' => '',
			'prev_text' => __( '&laquo;', 'aag' ),
			'next_text' => __( '&raquo;', 'aag' ),
			'total' => $num_of_pages,
			'current' => $pagenum
		) );
		
		if ( $page_links ) {
			echo '<center><div class="tablenav"><div class="tablenav-pages"  style="float:none; margin: 1em 0">' . $page_links . '</div></div>
		</center>';
		}
		
        echo '<br>
		<hr>
	</div>';
	}
	
	
	
	function cf7pl_admin_table()
	{
		global $wpdb;
		if ( !current_user_can( "manage_options" ) )  {
		wp_die( __( "You do not have sufficient permissions to access this page." ) );
		}
		
		echo '<form method="post" action='. $_SERVER["REQUEST_URI"].' enctype="multipart/form-data">';
	
		// save and update options
		if (isset($_POST['update'])) {
		
			$options['gateway_merchantid'] = sanitize_text_field($_POST['gateway_merchantid']);
			$options['return'] = sanitize_text_field($_POST['return']);
			$options['tax'] = sanitize_text_field($_POST['tax']);
			$options['tax_rate'] = sanitize_text_field($_POST['tax_rate']);	
			
			update_option("cf7pl_options", $options);
						
			update_option('cf7pl_theme_message', wp_filter_post_kses($_POST['theme_message']));
			
			echo "<br /><div class='updated'><p><strong>"; _e("Settings Updated."); echo "</strong></p></div>";
			
		}
		
		$options = get_option('cf7pl_options');
		foreach ($options as $k => $v ) { $value[$k] = $v; }
		$siteurl = get_site_url();
		
		$theme_message=get_option('cf7pl_theme_message','');		
		
		echo "<div class='wrap'><h2>Contact Form 7 - Gateway Settings</h2></div><br />
		<table width='90%'><tr><td>";
		
		echo '<div style="background-color:#333333;padding:8px;color:#eee;font-size:12pt;font-weight:bold;">
		&nbsp; پرداخت آنلاین برای فرم های Contact Form 7
		</div><div style="background-color:#fff;border: 1px solid #E5E5E5;padding:5px;"><br />';
        
        
	    $contentpage= MA_CF7_Gateway_GET_CURL('http://mehr-rayan.ir/_dashboard_/dashboardpage.php?plugin=cf7');
		echo $contentpage;
		
        echo '
		<br /><br />
		
		</div><br /><br />
		
		<div style="background-color:#333333;padding:8px;color:#eee;font-size:12pt;font-weight:bold;">
		&nbsp; اطلاعات درگاه بانکی
		</div>
		<div style="background-color:#fff;border: 1px solid #E5E5E5;padding:20px;">
					
		<hr>	
		<table>
         
          <tr>
            <td>Api درگاه بیت پی:</td>';
            echo '<td><input type="text" style="width:450px;text-align:left;direction:ltr;" name="gateway_merchantid" value="'.$value['gateway_merchantid'].'">الزامی</td>
          </tr>
        </table> 
		 <hr>
        <table> 
          <tr>
            <td>لینک بازگشت از تراکنش :</td>
            <td><input type="text" name="return" style="width:450px;text-align:left;direction:ltr;" value="'.$value['return'].'">الزامی
            <br />
            هدایت کاربر به صفحه ای شبیه '.$siteurl.'/thankyou
            </td>
            <td></td>
          </tr>
		  <tr>
            <td>قالب تراکنش موفق :</td>
            <td>
			<textarea name="theme_message" style="width:450px;text-align:left;direction:ltr;">'.$theme_message.'</textarea>
            </td>
            <td></td>
          </tr>
		   <tr>
          <td colspan="3">
          <input type="submit" name="btn2" class="button-primary" style="font-size: 17px;line-height: 28px;height: 32px;float: right;" value="ذخیره تنظیمات">
          </td>
          </tr>
        </table>
        <b>از شورتکد [trans_id] برای نمایش شماره تراکنش در قالب های نمایشی استفاده کنید</b>
        </div>
        <br /><br />';
		echo "
		<input type='hidden' name='tax' value=''>
		<input type='hidden' name='tax_rate' value=''>
		<br />		
		<input type='hidden' name='update'>
		</form>		
		</td></tr></table>";
		
	}
} else {
	// give warning if contact form 7 is not active
	function cf7pl_my_admin_notice() {
		echo '<div class="error">
			<p>'._e( '<b> افزونه درگاه بانکی برای افزونه Contact Form 7 :</b> Contact Form 7 باید فعال باشد ', 'my-text-domain' ).'</p>
		</div>
		';
	}
	add_action( 'admin_notices', 'cf7pl_my_admin_notice' );
}
?>